import { jsx } from "react/jsx-runtime";
import { TokenSATT as TokenSATT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSATT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SATT", "data-name": "TokenSATT", ...props, children: /* @__PURE__ */ jsx(TokenSATT$1, { variant }) });
  }
);
TokenSATT.displayName = "TokenSATT";
Object.assign(TokenSATT, { isGdsIcon: true });
export {
  TokenSATT
};
